#include <LPC214x.H>                       /* LPC21xx definitions */
#include "Ext_Int.h"
#include "buzzer.h"
#include "lpc_vic.h"
#include "utils.h"
#include "led.h"

#define EXTINT_EINT2_MASK 0x4
#define EXTMODE_EXTMODE2_MASK 0x4
#define EXTPOLAR_EXTPOLAR2_MASK 0x4


/**
********************************************************************************************
  Function Name :	key_init()
  
  Description   :	
  
  Input         :	
  
  Output        :	Void
  
  Note          :
********************************************************************************************
*/
void init_ext_interrupt()
{
  EXTMODE = EXTMODE_EXTMODE2_MASK;
  
  EXTPOLAR &= ~EXTPOLAR_EXTPOLAR2_MASK;

  PINSEL0 = (PINSEL0 & ~(3U << 30)) | (1U << 31);
  
  /* initialize the interrupt vector */
  VICIntSelect &= ~ VIC_BIT(VIC_EINT2);           // EINT0 selected as IRQ
  VICVectAddr5 = (unsigned int)Ext_ISR;        // address of the ISR
  VICVectCntl5 = VIC_ENABLE | VIC_EINT2;
  VICIntEnable = VIC_BIT(VIC_EINT2);              // EINT0 interrupt enabled

  EXTINT &= ~EXTINT_EINT2_MASK;	
}

/**
********************************************************************************************
  Function Name :	keypad_ISR()
  
  Description   :	
  
  Input         :	
  
  Output        :	Void
  
  Note          :
********************************************************************************************
*/
void Ext_ISR() __irq
{
	turn_on_buzzer();
	
	delay(10000);
    
	turn_off_buzzer();
	
	EXTINT |= EXTINT_EINT2_MASK;                                 //clear interrupt
	VICVectAddr = 0; 
}

